Web lists-archives.com

Re: CYGWIN 2.8




On 5/8/2018 3:28 PM, Hans-Bernhard Bröker wrote:
> Am 08.05.2018 um 13:22 schrieb David Spencer:
>> Morning,
>>
>> I am trying to get CYGWIN Version 2.8, this is the only version
>> approved for our system at present, 


So your company is stating it wants to use buggy and susceptible
applications.  I don't think so.  Go back to the IT security team and
state that 2.10 is the latest version of Cygwin and ask if it is okay.
If not then ask them to provide you with a suitable version.

>
> Providing that is, to a great extent, actually the job of whoever
> approves versions of Cygwin for you.
>

The company should provide a common mirror of approved applications.

> That's because the version number of cygwin itself barely begins to
> define an actual fixed configuration of the whole Cygwin environment
> you'll be installing: that's _one_ package whose version number has been
> nailed down, but _hundreds_ of others left totally floating.
> 

The version number of the Cygwin DLL doesn't provide the versions of all
of the components possible to use.  A company approving a specific
version of Cygwin DLL is clueless as to what Cygwin is.

> The only practical way of defining an installation of which it can even
> make sense to call it "approved" is to host a fixed mirror repository
> that's controlled by whoever does the approving, inside the organization
> that requires said approval.
> 

Exactly!

-- 
cyg Simple

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple